> For the complete documentation index, see [llms.txt](https://developer.myidentitypass.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.myidentitypass.com/v1/data-verification-1/data-verification/nigeria/bvn-verification/bvn-1.md).

# BVN 2.0

{% hint style="info" %}
Test data: 54651333604
{% endhint %}

## Get BVN details

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v1/biometrics/merchant/data/verification/bvn`

This endpoint allows you to get details of a BVN.

#### Headers

| Name      | Type   | Description        |
| --------- | ------ | ------------------ |
| x-api-key | string | \<your secret key> |

#### Request Body

| Name   | Type   | Description              |
| ------ | ------ | ------------------------ |
| number | string | bank verification number |

{% tabs %}
{% tab title="200 BVN details successfully retrieved." %}

```
{
    "status": true,
    "response_code":"00",
    "detail": "Verification Successfull",
    "bvn_data": {
        "firstName": "",
        "middleName": "",
        "lastName": "",
        "dateOfBirth": "",
        "phoneNumber1": "",
        "phoneNumber2": "",
        "registrationDate":"",
        "enrollmentBank": "",
        "enrollmentBranch": "",
        "email": "",
        "gender": "",
        "levelOfAccount": "",
        "lgaOfOrigin": "",
        "lgaOfResidence": "",
        "maritalStatus": "",
        "nin": "",
        "nameOnCard": "",
        "nationality": "",
        "residentialAddress": "",
        "stateOfOrigin": "",
        "stateOfResidence": "",
        "title": "",
        "watchListed": "",
        "bvn": "",
        "base64Image": "user image(base64 format)"
        }
}
```

{% endtab %}
{% endtabs %}
